How-To :: atualizando o pacote xmlto [RESOLVIDO]


E hoje com um pouco mais de tempo, corri atrás das soluções para alguns pacotes quebrados na última atualização de meu sistema, os pacotes app-text/xmlto e media-libs/openal.

Após algumas pesquisas (embora já soubesse que o problema tratava-se dos novos pacotes www-client/w3m e virtual/w3m para o caso do xmlto), como já possuo uma conta no forum Funtoo, extensiva a bugs.funtoo.org, neste local descobri o seguinte:

USE=gpm in various package require Gpm_Wgetch symbol in libgpm.so

Ou seja, por causa da USE: gpm, alguns pacotes deixam de serem compilados com sucesso, vejam a situação de um:

# emerge --ask --jobs --update --newuse --deep @world

resolve-w3m-001

Após sua execução, me depararia com isto:

resolve-w3m-002

De posse das informações de bugs.funtoo.org, coube a mim apenas executar:

$ sudo USE="-gpm" emerge --update xmlto

resolve-w3m-003

E pronto!, por conveniência (de modo a que o www-client/w3m não seja recompilado ao rodar um @world, adicionei-o em /etc/portage/package.use:

# w3m browser without "gpm" USE.
>=www-client/w3m-0.5.3-r5 -gpm

Agora só me resta resolver o problema do media-libs/openal, que aparentemente ainda está sem resolução:

openal fails to build on arm with flag neon

O log da falha mais recente (mesmo não utilizado o USE: neon) está disponível em:

https://bpaste.net/show/f4711ffcf813

t+

Anúncios
How-To :: atualizando o pacote xmlto [RESOLVIDO]

Deixe um comentário

Preencha os seus dados abaixo ou clique em um ícone para log in:

Logotipo do WordPress.com

Você está comentando utilizando sua conta WordPress.com. Sair / Alterar )

Imagem do Twitter

Você está comentando utilizando sua conta Twitter. Sair / Alterar )

Foto do Facebook

Você está comentando utilizando sua conta Facebook. Sair / Alterar )

Foto do Google+

Você está comentando utilizando sua conta Google+. Sair / Alterar )

Conectando a %s